rte_hash_rcu_config(3)

NAME
rte_hash_rcu_config

SYNOPSIS

#include <rte_hash.h>

  Data Fields

struct rte_rcu_qsbr * v
enum rte_hash_qsbr_mode mode
uint32_t dq_size
uint32_t trigger_reclaim_limit
uint32_t max_reclaim_size
void * key_data_ptr
rte_hash_free_key_data free_key_data_func

Detailed Description

HASH RCU QSBR configuration structure.

Definition at line 102 of file rte_hash.h.

Field Documentation

  struct rte_rcu_qsbr* v
RCU QSBR variable.

Definition at line 103 of file rte_hash.h.

  enum rte_hash_qsbr_mode mode
Mode of RCU QSBR. RTE_HASH_QSBR_MODE_xxx '0' for default: create defer queue for reclaim.

Definition at line 104 of file rte_hash.h.

  uint32_t dq_size
RCU defer queue size. default: total hash table entries.

Definition at line 108 of file rte_hash.h.

  uint32_t trigger_reclaim_limit
Threshold to trigger auto reclaim.

Definition at line 112 of file rte_hash.h.

  uint32_t max_reclaim_size
Max entries to reclaim in one go. default: RTE_HASH_RCU_DQ_RECLAIM_MAX.

Definition at line 113 of file rte_hash.h.

  void* key_data_ptr
Pointer passed to the free function. Typically, this is the pointer to the data structure to which the resource to free (key-data) belongs. This can be NULL.

Definition at line 117 of file rte_hash.h.

  rte_hash_free_key_data free_key_data_func
Function to call to free the resource (key-data).

Definition at line 122 of file rte_hash.h.

Author

Generated automatically by Doxygen for DPDK from the source code.